#!/bin/csh

xyz2pipe -in fid/test%03d.fid -verb                   \
| nmrPipe  -fn POLY -time                             \
| nmrPipe  -fn SP -off 0.5 -end 0.98 -pow 2 -c 0.5    \
| nmrPipe  -fn ZF -size 2048                          \
| nmrPipe  -fn FT                                     \
| nmrPipe  -fn EXT -x1 9.5ppm -xn 5.8ppm -sw          \
| nmrPipe  -fn PS -p0 61 -p1 0 -di                    \
| nmrPipe  -fn TP                                     \
| nmrPipe  -fn SP -off 0.5 -end 0.98 -pow 1 -c 0.5    \
| nmrPipe  -fn ZF -size 256                           \
| nmrPipe  -fn FT -neg                                \
| nmrPipe  -fn PS -p0 -0.9 -p1 1.6 -di                \
| nmrPipe  -fn TP                                     \
| pipe2xyz -out ft/test%03d.ft2 -x

xyz2pipe -in ft/test%03d.ft2 -z -verb                 \
| nmrPipe  -fn SP -off 0.5 -end 0.98 -pow 1 -c 0.5    \
| nmrPipe  -fn ZF -size 512                           \
| nmrPipe  -fn FT                                     \
| nmrPipe  -fn CS -rs 3.2ppm -sw                      \
| nmrPipe  -fn PS -p0 -6.3 -p1 7.6 -di                \
| nmrPipe  -fn TP                                     \
| nmrPipe  -fn POLY -auto -ord 2                      \
| pipe2xyz -out ft/test%03d.ft3 -x


/bin/rm -fr ft/test*.ft2


